/* =========================================================================

JavaScript Source File -- Created with SynWrite 6.40.2770

NAME: calendar.js

AUTHOR: Charles E Finkenbiner, Creative Electronic Formulas, Inc.
DATE  : 12/26/2021

COMMENT: Spanish language module for calendar application.

============================================================================ */
function dayNumberToName(day, ctype)
{
 switch(ctype.toLowerCase())
 {
  case "a":
   switch(day)
   {
    case 0:
     dayName = "Dom";
     break;
    case 1:
     dayName = "Lun";
     break;
    case 2:
     dayName = "Mar";
     break;
    case 3:
     dayName = "Mié";
     break;
    case 4:
     dayName = "Jue";
     break;
    case 5:
     dayName = "Vie";
     break;
    case 6:
     dayName = "Sáb";
     break;
    default:
     dayName = "Inválido";
     break;
   }
   break;
  case "s":
   switch(day)
   {
    case 0:
     dayName = "D";
     break;
    case 1:
     dayName = "L";
     break;
    case 2:
     dayName = "M";
     break;
    case 3:
     dayName = "X";
     break;
    case 4:
     dayName = "J";
     break;
    case 5:
     dayName = "V";
     break;
    case 6:
     dayName = "S";
     break;
    default:
     dayName = "Inválido";
     break;
   }
   break;
  case "d":
   switch(day)
   {
    case 0:
     dayName = "Do";
     break;
    case 1:
     dayName = "Lu";
     break;
    case 2:
     dayName = "Ma";
     break;
    case 3:
     dayName = "Mi";
     break;
    case 4:
     dayName = "Ju";
     break;
    case 5:
     dayName = "Vi";
     break;
    case 6:
     dayName = "Sa";
     break;
    default:
     dayName = "Inválido";
     break;
   }
   break;
  case "f":
   switch(day)
   {
    case 0:
     dayName = "Domingo";
     break;
    case 1:
     dayName = "Lunes";
     break;
    case 2:
     dayName = "Martes";
     break;
    case 3:
     dayName = "Miércoles";
     break;
    case 4:
     dayName = "Jueves";
     break;
    case 5:
     dayName = "Viernes";
     break;
    case 6:
     dayName = "Sábado";
     break;
    default:
     dayName = "Inválido";
     break;
   }
   break;
 }
 return dayName;
}

function monthNumberToName(month, ctype)
{
 switch(ctype.toLowerCase())
 {
  case "a":
   switch(month)
   {
    case 1:
     monthName = "Enero";
     break;
    case 2:
     monthName = "Feb";
     break;
    case 3:
     monthName = "Mar";
     break;
    case 4:
     monthName = "Abr";
     break;
    case 5:
     monthName = "Mayo";
     break;
    case 6:
     monthName = "Jun";
     break;
    case 7:
     monthName = "Jul";
     break;
    case 8:
     monthName = "Agosto";
     break;
    case 9:
     monthName = "Sept";
     break;
    case 10:
     monthName = "Oct";
     break;
    case 11:
     monthName = "Nov";
     break;
    case 12:
     monthName = "Dic";
     break;
    default:
     monthName = "Inválido";
     break;
   }
   break;
  case "f":
   switch(month)
   {
    case 1:
     monthName = "Enero ";
     break;
    case 2:
     monthName = "Febrero ";
     break;
    case 3:
     monthName = "Marzo ";
     break;
    case 4:
     monthName = "Abril ";
     break;
    case 5:
     monthName = "Mayo ";
     break;
    case 6:
     monthName = "Junio ";
     break;
    case 7:
     monthName = "Julio ";
     break;
    case 8:
     monthName = "Agosto ";
     break;
    case 9:
     monthName = "Septiembre ";
     break;
    case 10:
     monthName = "Octubre ";
     break;
    case 11:
     monthName = "Noviembre ";
     break;
    case 12:
     monthName = "Diciembre ";
     break;
    default:
     monthName = "Inválido";
     break;
   }
   break;
  default:
   monthName = "Inválido mes tipo!";
   break;
 }
 return monthName;
}
