<?php
require_once("php/calendar.php");
require_once("langs/{$calLang}/calendar.php");

if(isset($_GET["currentMonth"]))
{
 $_POST["currentMonth"] = $_GET["currentMonth"];
}
if(isset($_GET["currentYear"]))
{
 $_POST["currentYear"] = $_GET["currentYear"];
}
if(empty($_POST["trap"]) && (isset($_POST["submitted"]) && (int)$_POST["submitted"] == 1))
{
 if(isset($_POST["currentMonth1"], $_POST["currentYear1"]))
 {
  $_POST["currentMonth"] = $_POST["currentMonth1"];
  $_POST["currentYear"] = $_POST["currentYear1"];
 }
 if(isset($_POST["nextMonth"]))
 {
  $_POST["currentMonth"]++;
  if(+$_POST["currentMonth"] > 12)
  {
   $_POST["currentMonth"] = 1;
   $_POST["currentYear"]++;
  }
 }
 if(isset($_POST["nextYear"]))
 {
  $_POST["currentYear"]++;
 }
 if(isset($_POST["prevMonth"]))
 {
  $_POST["currentMonth"]--;
  if(+$_POST["currentMonth"] < 1)
  {
   $_POST["currentMonth"] = 12;
   $_POST["currentYear"]--;
  }
 }
 if(isset($_POST["prevYear"]))
 {
  $_POST["currentYear"]--;
 }
}
$_POST["currentMonth"] = empty($_POST["currentMonth"]) ? date("m") : $_POST["currentMonth"];
$month = $_POST["currentMonth"];
$_POST["currentYear"] = empty($_POST["currentYear"]) ? date("Y") : $_POST["currentYear"];
$year = $_POST["currentYear"];
if(isset($_POST["currentMonth1"], $_POST["currentYear1"]))
{
 $_POST["currentMonth1"] = $_POST["currentMonth"];
 $_POST["currentYear1"] = $_POST["currentYear"];
}
// set cDate to 1st of month
$cDate = new DateTime("{$year}-{$month}-1");
// get last day of cDate
$daysInMonth = $cDate->format("t");
// get 1st of cDate DOW (0 - 6)
$startDOW = $cDate->format("w");
// convert $startDOW based on $firstDOW
$sDOW = ($startDOW - $firstDOW) % $daysInWeek;
$sDOW = $sDOW < 0 ? (($sDOW + $daysInWeek) % $daysInWeek) : $sDOW;
// set eDate to end of the month
$eDate = new DateTime("{$year}-{$month}-{$daysInMonth}");
// get last day of current month DOW (0 - 6)
$endDOW = $eDate->format("w");
// convert $endDOW based on $firstDOW
$eDOW = ($endDOW - $firstDOW) % $daysInWeek;
$eDOW = $eDOW < 0 ? (($daysInWeek + $eDOW) % $daysInWeek) : $eDOW;
// calculate first day of calendar, before 1st day of the month
if($sDOW == 4)
{
 $sTmp = -($daysInWeek - $sDOW + 1);
}
else
{
 $sTmp = -$sDOW;
}
// check first character, if not '-' add "+' in front
$sTmp = substr($sTmp, 0, 1) != "-" ? "+" . $sTmp : $sTmp;
// set current month to start of calendar week
$sDate = $cDate->modify( "{$sTmp} day" );
// calculate last day of calendar week, after end of the month
$sTmp = ($daysInWeek - $eDOW - 1);
$sTmp = substr($sTmp, 0, 1) != "-" ? "+" . $sTmp : $sTmp;
// set current month to end of calendar week, after last day of the month
$eDate = $eDate->modify( "{$sTmp} day" );
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta name="author" content="Charles E. Finkenbiner - Creative Electronic Formulas, Inc.">
 <meta name="generator" content="SynWrite 6.40.2770">
 <meta name="viewport" content="width=device-width">
	<title>Calendar</title>
 <link rel="shortcut icon" href="images/calendar.ico">
 <link rel="stylesheet" type="text/css" href="css/calendar.css">
 <style>
 @media print, screen
 {
  /* CSS by Tag */
  body, html
  {
   height: 100%;
   margin: 0;
   padding: 0;
  }

  /* CSS by Id */
  #calendar
  {
   height: 100%;
   width: 100%;
   border: 1px solid black;
   border-collapse: collapse;
  }

  #cefical
  {
   height: 100%;
   width: 100%;
  }

  /* This input is hidden and is here to trick the bots */
  #cefical .trap
  {
   display: none;
   height: 5px;
   width: 10px;
  }

  #currentMonth, #currentYear, #currentMonth1, #currentYear1
  {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 20px;
   font-weight: bold;
   -moz-border-radius: 5px;
   -webkit-border-radius: 5px;
   -o-border-radius: 5px;
   -khtml-border-radius: 5px;
   border-radius: 5px;
   width: auto;
  }

  #dow
  {
   line-height: 30px;
  }

  #nextMonth, #prevMonth, #nextMonth1, #prevMonth1, #nextYear, #prevYear
  {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 20px;
   font-weight: bold;
   width: 75%;
  }

  #nhead, #shead
  {
   line-height: 50px;
  }

  /* CSS by Class */
  .btn
  {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 22px;
   font-weight: bold;
   height: 75%;
   width: 75%;
  }

  .date td, .date tr
  {
   height: 10%;
  }

  .date:hover
  {
   font-weight: bold;
   background-color: #79AEFC;
   cursor: default;
  }

  .day
  {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 22px;
   font-weight: bold;
   border: 1px solid black;
   background-color: #B3D1FE;
   cursor: default;
   text-align: center;
  }

  .dow
  {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 18px;
   font-weight: bold;
   height: 5%;
   border: 1px solid black;
   background-color: #2F82FF;
   color: #FFFFFF;
   cursor: default;
   text-align: center;
  }

  .left
  {
   background-color: #1F60C3;
   height: 10%;
   width: 14%;
  }

  .middle
  {
   background-color: #1F60C3;
   height: 10%;
   width: 42%;
  }

  .non
  {
   color: #7F7F7F;
  }

  .right
  {
   background-color: #1F60C3;
   height: 10%;
   width: 14%;
  }

  .show-tr
  {
   display: table-row;
  }
 }

 @media print
 {
  /* CSS by Tag */

  /* CSS by Id */
  #cal-modal
  {
   height: 275px;
  }

  #currentMonth, #currentYear, #currentMonth1, #currentYear1
  {
   font-size: 12px;
  }

  #nextMonth, #prevMonth, #nextMonth1, #prevMonth1, #nextYear, #prevYear
  {
   font-size: 12px;
  }

  /* CSS by Class */
  .btn
  {
   font-size: 12px;
  }

  .dow
  {
   font-size: 12px;
  }
 }

 @media screen and (max-width: 650px)
 {
  /* CSS by Tag */

  /* CSS by Id */
  #currentMonth, #currentYear
  {
   font-size: 18px;
  }

  #nextMonth, #prevMonth, #nextYear, #prevYear
  {
   font-size: 18px;
  }

  /* CSS by Class */
  .btn, .day
  {
   font-size: 20px;
  }

  .dow
  {
   font-size: 16px;
  }
 }

 @media screen and (max-width: 525px)
 {
  /* CSS by Tag */

  /* CSS by Id */
  #currentMonth, #currentYear
  {
   font-size: 16px;
  }

  #nextMonth, #prevMonth, #nextYear, #prevYear
  {
   font-size: 16px;
  }

  /* CSS by Class */
  .btn, .day
  {
   font-size: 18px;
  }

  .dow
  {
   font-size: 14px;
  }
 }

 @media screen and (max-width: 225px)
 {
  /* CSS by Tag */

  /* CSS by Id */
  #currentMonth1, #currentYear1
  {
   font-size: 12px;
  }

  #dow
  {
   line-height: 15px;
  }

  #nextMonth1, #prevMonth1
  {
   font-size: 12px;
  }

  #nhead, #shead
  {
   line-height: 30px;
  }

  /* CSS by Class */
  .btn, .day
  {
   font-size: 10px;
  }

  .dow
  {
   font-size: 12px;
  }
 }
</style>
 <script src="langs/<?php echo($calLang);?>/calendar.js"></script>
 <script>
 document.addEventListener("DOMContentLoaded", domReady);
 window.addEventListener("resize", onResize, true);
 <?php echo("let firstDOW = {$firstDOW};" . PHP_EOL);?>
 <?php echo("let daysInWeek = {$daysInWeek};" . PHP_EOL);?>
 let itm = "";
 var inFrame = isOpen = false;

 function domReady()
 {
  if(!document.getElementById("currentYear1").disabled)
  {
   itm = "1";
  }
  document.getElementById("currentMonth" + itm).focus();
  onResize();
  if(window.self !== window.top)
  {
   inFrame = true;
  }
 }

 function onclickDay(elem)
 {
  if(window.self !== window.top)
  {
   let month = document.getElementById("currentMonth").value;
   let day = elem.innerHTML;
   window.parent.document.getElementById(window.parent.parentPage.elem).value = (month.length == 1 ? "0" + month : month) + "/"+ (day.length == 1 ? "0" + day : day) + "/" + document.getElementById("currentYear").value;
   window.parent.document.getElementById("cal-mask").className = "hide";
   window.parent.document.getElementById(window.parent.parentPage.elem).focus();
   window.parent.parentPage.elem = null;
  }
 }

 function onResize()
 {
  let ctype = null;
  if(window.innerWidth > 525)
  {
   ctype = "f";
  }
  if(window.innerWidth <= 525)
  {
   ctype = "a";
  }
  if(ctype)
  {
   let elem = document.getElementById("dow").cells;
   let fDOW = firstDOW;
   for(let day = 0; day < daysInWeek; day++)
   {
    let d = (fDOW) % daysInWeek;
    elem[day].innerHTML = dayNumberToName(d, ctype);
    fDOW++;
   }
  }
  if(window.innerWidth <= 225)
  {
   document.getElementById("nhead").className = "hide";
   document.getElementById("nextMonth").disabled = true;
   document.getElementById("nextYear").disabled = true;
   document.getElementById("prevMonth").disabled = true;
   document.getElementById("prevYear").disabled = true;
   document.getElementById("pY").disabled = true;
   document.getElementById("currentMonth").disabled = true;
   document.getElementById("currentYear").disabled = true;
   document.getElementById("nextMonth1").disabled = false;
   document.getElementById("prevMonth1").disabled = false;
   document.getElementById("pM1").disabled = false;
   document.getElementById("currentMonth1").disabled = false;
   document.getElementById("currentYear1").disabled = false;
   document.getElementById("shead").className = "show-tr";
  }
 }

 function onChange()
 {
  let elem = document.getElementById("currentYear" + itm);
  if(elem.value != "" && +elem.value >= 1)
  {
   document.getElementById("cefical").submit();
  }
  else
  {
   elem.value = "";
   elem.focus();
   return false;
  }
 }

 function onSubmit()
 {
  let elem = document.getElementById("currentYear" + itm);
  if(elem.value != "" && +elem.value >= 1)
  {
   return true;
  }
  else
  {
   elem.value = "";
   elem.focus();
   return false;
  }
 }
 </script>
</head>
<body>
 <noscript><h2 style="background-color: red; color: white; height: 100%; text-align: center; margin: 0; padding: 20px; width: 100%;">Javascript is required!</h2></noscript>
 <form id="cefical" action="<?php echo($_SERVER['PHP_SELF']);?>" method="post" accept-charset="UTF-8" onsubmit="javascript:return onSubmit();">
  <input type="hidden" id="submitted" name="submitted" value="<?php echo(isset($_POST["submitted"]) ? $_POST["submitted"] : 1);?>">
  <input type="text" id="trap" name="trap" style="display: none;" value="">
  <table id="calendar">
   <thead>
    <tr id="nhead">
     <th class="left">
      <input type="submit" class="hide" id="pY" name="pY" value="" title="P Y">
      <input type="submit" id="prevYear" name="prevYear" value="&lt;&lt;" title="Previous Year">
     </th>
     <th class="left">
      <input type="submit" id="prevMonth" name="prevMonth" value="&lt;" title="Previous Month">
     </th>
     <th colspan="<?php echo($daysInWeek - 4);?>" class="middle">
      <div style="width: 100%;">
       <select id="currentMonth" name="currentMonth" title="Current Month" onchange="javascript:onChange();">
<?php
if(!empty($month))
{
 for($mon = 1; $mon <= 12; $mon++)
 {
  echo("       <option value=\"{$mon}\"");
  if(isset($_POST["currentMonth"]))
  {
   if($mon == $_POST["currentMonth"])
   {
    echo(" selected=\"selected\"");
   }
  }
  echo(">" . monthNumberToName($mon, "f") . "</option>" . PHP_EOL);
 }
}
?>
       </select>
       <input type="text" id="currentYear" name="currentYear" size="3" title="Current Year" value="<?php if(isset($_POST["currentYear"])) echo($_POST["currentYear"]);?>" onchange="javascript:onChange();">
      </div>
     </th>
     <th class="right">
      <input type="submit" id="nextMonth" name="nextMonth" value="&gt;" title="Next Month">
     </th>
     <th class="right">
      <input type="submit" id="nextYear" name="nextYear" value="&gt;&gt;" title="Next Year">
     </th>
    </tr>
    <tr id="shead" class="hide">
     <th class="left">
      <input type="submit" class="hide" id="pM1" name="pM1" value="" title="P M" disabled="disabled">
      <input type="submit" id="prevMonth1" name="prevMonth" value="&lt;" title="Previous Month" disabled="disabled">
     </th>
     <th colspan="<?php echo($daysInWeek - 2);?>" class="middle">
      <div style="width: 100%;">
       <select id="currentMonth1" name="currentMonth1" title="Current Month" onchange="javascript:onChange();" disabled="disabled">
<?php
if(!empty($month))
{
 for($mon = 1; $mon <= 12; $mon++)
 {
  echo("       <option value=\"{$mon}\"");
  if(isset($_POST["currentMonth"]))
  {
   if($mon == $_POST["currentMonth"])
   {
    echo(" selected=\"selected\"");
   }
  }
  echo(">" . monthNumberToName($mon, "f") . "</option>" . PHP_EOL);
 }
}
?>
       </select>
       <input type="text" id="currentYear1" name="currentYear1" size="2" title="Current Year" value="<?php if(isset($_POST["currentYear"])) echo($_POST["currentYear"]);?>" onchange="javascript:onChange();" disabled="disabled">
      </div>
     </th>
     <th class="right">
      <input type="submit" id="nextMonth1" name="nextMonth" value="&gt;" title="Next Month" disabled="disabled">
     </th>
    </tr>
    <tr id="dow">
<?php
if(!empty($month))
{
 for($day = (0 + $firstDOW); $day < ($daysInWeek + $firstDOW); $day++)
 {
  echo("     <th class=\"dow\">" . dayNumberToName(($day % $daysInWeek), "f") . "</th>" . PHP_EOL);
 }
}
?>
    </tr>
   </thead>
   <tbody>
<?php
if($sDate)
{
 while($sDate <= $eDate)
 {
  echo("    <tr class=\"date\">" . PHP_EOL);
  for($td = 1; $td <= $daysInWeek; $td++)
  {
   if($sDate->format("n") != $month)
   {
    if($fillBlanks)
    {
     if($useButtons)
     {
      echo("     <td class=\"day non\"><button type=\"button\" class=\"btn\" disabled=\"disabled\">" . $sDate->format("j") . "</button></td>" . PHP_EOL);
     }
     else
     {
      echo("     <td class=\"day non\">" . $sDate->format("j") . "</td>" . PHP_EOL);
     }
    }
    else
    {
     echo("     <td class=\"day non\">&nbsp;</td>" . PHP_EOL);
    }
   }
   else
   {
    if($useButtons)
    {
     echo("     <td class=\"day date\"><button type=\"button\" class=\"btn\" onclick=\"javascript:onclickDay(this);\">" . $sDate->format("j") . "</button></td>" . PHP_EOL);
    }
    else
    {
     echo("     <td class=\"day date\" onclick=\"javascript:onclickDay(this);\">" . $sDate->format("j") . "</td>" . PHP_EOL);
    }
   }
   $sDate = $sDate->modify( "+1 day" );
  }
  echo("    </tr>" . PHP_EOL);
 }
}
?>
   </tbody>
   <tfoot style="display: none;">
    <tr>
     <td colspan="<?php echo($daysInWeek);?>">Line 1</td>
    </tr>
   </tfoot>
  </table>
 </form>
 <div class="reset-l"></div>
</body>
</html>
