/* =========================================================================

JavaScript Source File -- Created with SynWrite 6.40.2770

NAME: calendar.js

AUTHOR: Charles E Finkenbiner, Creative Electronic Formulas, Inc.
DATE  : 12/26/2021

COMMENT: Global functions for calendar application.

============================================================================ */
let daysInWeek = 7;
let firstDOW = 0;
let calLang = "en";
let fillBlanks = false;
let useButtons = true;

// elem = HTML element object
function onFocusDate(elem)
{
 if(elem.id == parentPage.elem)
 {
  document.getElementById("cal-mask").className = "hide";
  document.getElementById(parentPage.elem).focus();
  popup.isOpen = false;
  parentPage.elem = null;
 }
}

// elem = HTML element object
function openModalCalendar(elem)
{
 if(!popup.isOpen)
 {
  let rect = elem.getBoundingClientRect();
  let page = document.getElementById("cal-page");
  page.style.marginTop = Math.ceil(rect.y) + 210 + "px";
  page.style.marginLeft = Math.ceil(rect.left) * 1.25 + "px";
  parentPage.elem = elem.id;
  let modal = document.getElementById("cal-modal");
  modal.onload = function()
  {
   popup = modal.contentWindow;
   popup.isOpen = true;
   document.getElementById("cal-mask").className = "show";
  }
  modal.src = "calendar.php";
 }
}
